/* hero banner section */
.page-template-hire-listing .inner-hero-left-side .cmn-btn-style{
    margin-bottom: 25px;
}
/* */

/* services section start */
.offering-grid-wrapper{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 24px;
    row-gap: 20px;
    margin-top: 56px;
}

.offering-grid-item{
    border-radius: 16px;
    padding: 32px;
    display: flex;
    flex-direction: column;
    row-gap: 20px;
}

.offering-grid-header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 6px;
}

.offering-title{
    font-size: 32px;
    line-height: 38px;
    color: #313131;
    margin-bottom: 0;
    font-weight: 500;
    width: calc(100% - 58px);
    /* gradient setup (hidden initially) */
    background: linear-gradient(
        113.48deg,
        #2C53F8 15.51%,
        #9650E3 50.37%,
        #DD227B 85.23%
    );
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: currentColor;

    transition: filter 0.35s ease, color 0.35s ease;
}

.offering-grid-item:hover .offering-title{
    color: transparent;
    filter: brightness(1);
}

.redirect-arrow{
    width: 42px;
    height: 42px;
    border-radius: 100% 0 100% 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #FFFFFF;
}

.offering-grid-content{
    font-size: 16px;
    line-height: 26px;
    color: #606060;
    font-weight: 500;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
/* services section end */

/* why hire us section start */
.why-hire-process-thmb{
    margin: 32px auto 0;
}

.why-hire-process-thmb .swiper-slide {
    text-align: center;
    font-weight: 500;
    cursor: pointer;
    color: rgba(0, 0, 0, 0.6);
    position: relative;
    font-size: 22px;
    line-height: 32px;
    min-height: 82px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.why-hire-process-thmb .swiper-slide::after {
    content: "";
    position: absolute;
    height: 2px;
    left: 0;
    width: 100%;
    top: 0;
    background-color: rgba(148, 148, 148, 1);
}

.why-hire-process-thmb .swiper-slide-thumb-active {
    background: linear-gradient(113.48deg, #2C53F8 15.51%, #9650E3 50.37%, #DD227B 85.23%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.why-hire-process-thmb .swiper-slide-thumb-active::after {
    background: linear-gradient(113.48deg, #2C53F8 15.51%, #9650E3 50.37%, #DD227B 85.23%);
}

.hire-sec-cta-wrap{
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}

.hire-cta-btn{
  background-color: var(--purple-color);
  color: #fff;
  border-radius: 50px;
  min-height: 54px;
  min-width: 330px;
  font-size: 16px;
  line-height: 28px;
  font-weight: 500;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 5px;
  transition: all 0.3s ease-in-out;
  border: 1px solid var(--purple-color);
}

.why-hire-process-thmb-wrapper{
    position: relative;
}

.why-hire-process-thmb-wrapper .swiper-button-prev,
.why-hire-process-thmb-wrapper .swiper-button-next{
    display: none;
}
/* why hire us section end */

/* hire dedicated developer grid */
.hire-dedicated-developer-grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 24px;
    row-gap: 20px;
    margin-top: 56px;
}

.hire-dedicated-grid-item{
    border-radius: 16px;
    padding: 32px;
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    cursor: pointer;
}

.hire-dedicated-grid-title{
    font-size: 32px;
    line-height: 38px;
    color: #313131;
    margin-bottom: 0;
    font-weight: 500;
    background: linear-gradient(113.48deg, #2C53F8 15.51%, #9650E3 50.37%, #DD227B 85.23%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: currentColor;
    transition: filter 0.35s ease, color 0.35s ease;
}

.hire-dedicated-grid-item:hover .hire-dedicated-grid-title{
    color: transparent;
    filter: brightness(1);
}

.hire-dedicated-grid-item ul{
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.hire-dedicated-grid-item ul li{
    background-image: url(../../images/new-web-image/checkmark-listing-icon.svg);
    background-repeat: no-repeat;
    background-position: left 0 center;
    background-size: 20px;
    padding-left: 30px;
}

/* */

@media (max-width: 1399px){
    /* core services starts */
    .offering-grid-wrapper{
        margin-top: 40px;
    }
    
    .offering-grid-item{
        padding: 24px;
        row-gap: 15px;
    }

    .offering-title {
        font-size: 26px;
        line-height: 32px;
    }

    .redirect-arrow {
        width: 36px;
        height: 36px;
    }
    /* core services ends */

    .hire-dedicated-grid-title {
        font-size: 28px;
        line-height: 34px;
    }
}

@media (max-width: 1199px){
    .hire-dedicated-grid-title {
        font-size: 26px;
        line-height: 32px;
    }

    .why-hire-process-thmb .swiper-slide{
        font-size: 20px;
        line-height: 30px;
        min-height: 68px;
    }

    .hire-dedicated-developer .why-hire-process-thmb{
        max-width: 800px;
    }

    .why-hire-process-thmb-wrapper .swiper-button-prev, 
    .why-hire-process-thmb-wrapper .swiper-button-next{
        border: 1px solid rgba(229, 229, 229, 1);
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 42px;
        height: 42px;
        color: rgba(48, 48, 48, 1);
    }

    .why-hire-process-thmb-wrapper .swiper-button-prev:after, 
    .why-hire-process-thmb-wrapper .swiper-button-next:after {
        font-size: 18px;
    }
}

@media (max-width: 991px){
    .offering-grid-wrapper{
        grid-template-columns: repeat(2, 1fr);
    }

    .hire-dedicated-developer-grid{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        column-gap: 18px;
        row-gap: 14px;
        margin-top: 40px;
    }

    .hire-dedicated-grid-item{
        width: calc(50% - 9px);
        padding: 24px;
    }

    .why-hire-process-thmb .swiper-slide{
        font-size: 18px;
        line-height: 26px;
        min-height: 60px;
    }

    .hire-dedicated-developer .why-hire-process-thmb {
        max-width: calc(100% - 110px);
    }
}

@media (max-width: 767px){
    .offering-grid-item {
        padding: 18px;
        row-gap: 10px;
    }

    .offering-title {
        font-size: 22px;
        line-height: 28px;
        width: calc(100% - 42px);
    }

    .offering-grid-wrapper{
        column-gap: 16px;
        row-gap: 12px;
    }

    .hire-dedicated-grid-item {
        width: 100%;
        padding: 18px;
        row-gap: 10px;
    }

    .hire-dedicated-grid-title{
        font-size: 24px;
        line-height: 30px;
    }
}

@media (max-width: 575px){
    .offering-grid-item {
        padding: 14px;
    }

    .offering-title{
        font-size: 18px;
        line-height: 26px;
    }

    .redirect-arrow {
        width: 30px;
        height: 30px;
    }

    .offering-grid-content {
        font-size: 14px;
        line-height: 22px;
    }

    .hire-dedicated-grid-item ul li{
        font-size: 14px;
        line-height: 24px;
        background-size: 16px;
        padding-left: 22px;
    }

    .hire-dedicated-grid-title {
        font-size: 22px;
        line-height: 28px;
    }

    .hire-dedicated-grid-item ul {
        row-gap: 6px;
    }

    .why-hire-process-thmb .swiper-slide {
        font-size: 16px;
        line-height: 24px;
        min-height: 50px;
    }
}

@media (max-width: 479px){
    .offering-grid-wrapper{
        grid-template-columns: repeat(1, 1fr);
    }
}